﻿Type=StaticCode
Version=5.9
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
Private Sub Process_Globals	
End Sub

'Generate genesis block
Sub Genesis_Block As Block
  	'Manually construct a block with
  	'index zero and arbitrary previous hash
  	Dim genesisBlock As Block
  	genesisBlock.Initialize(0, DateTime.now, "Genesis Block", "0")
	Return genesisBlock
End Sub

'Generate all later blocks in the blockchain
Sub Next_Block(previousBlock As Block) As Block
	Dim index = previousBlock.Index + 1 As Int
	Dim nextBlock As Block
	nextBlock.Initialize(               _
		index,                          _
		DateTime.Now,                   _
		"Hi! I'm block " & index & ".", _
		previousBlock.Hash              )
	Return nextBlock
End Sub